# MeshDataStructure::TQuad Class Reference

Inheritance diagram for MeshDataStructure::TQuad:

List of all members.

## Public Member Functions
| TQuad ()
void | SetVertex (const int32 index, const int32 vertexIndex, const int32 UVIndex)
int32 | GetVertexIndex (const int32 i) const
int32 | GetUVIndex (const int32 i) const
const TVertexUV & | GetVertexUV (const int32 index) const
void | SetUVIndex (const int32 i, const int32 uvIndex)
void | SetEdge (const int32 index, const int32 edgeIndex)
int32 | GetEdge (const int32 index) const
int32 | GetVertexCount () const
int32 | GetUVIndexForVertex (const int32 index) const
int32 | GetOtherEdge (int32 vertexIndex, int32 edgeIndex) const
boolean | GetEdgesForVertex (int32 vertexIndex, int32 &edge1, int32 &edge2) const
void | SetShadingDomainID (int32 ID)
int32 | GetShadingDomainID () const
void | SetIsHidden (boolean hidden)
boolean | GetIsHidden () const
int32 | GetVertexIndexInQuad (const int32 vertexIndex) const
TVector3 | GetPolygonNormalForVertex (const int32 vertexIndex, const TMCArray< TVector3 > &positions) const
void | HarmonizeUV (TVertexArray &vertices, TMCArray< boolean > &wrapping)
## Protected Attributes
TVertexUV | fVerticesUV [4]
int32 | fEdges [4]
int32 | fShadingDomainID
boolean | fIsHidden

## Constructor & Destructor Documentation

MeshDataStructure::TQuad::TQuad | ( |  | ) | `[inline]`

## Member Function Documentation

int32 MeshDataStructure::TQuad::GetEdge | ( | const int32 | index | ) | const`[inline]`

boolean MeshDataStructure::TQuad::GetEdgesForVertex | ( | int32 | vertexIndex,
|  | int32 & | edge1,
|  | int32 & | edge2 |
| ) |  |  | const

boolean MeshDataStructure::TQuad::GetIsHidden | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TQuad::GetOtherEdge | ( | int32 | vertexIndex,
|  | int32 | edgeIndex |
| ) |  |  | const

TVector3 MeshDataStructure::TQuad::GetPolygonNormalForVertex | ( | const int32 | vertexIndex,
|  | const TMCArray< TVector3 > & | positions |
| ) |  |  | const

int32 MeshDataStructure::TQuad::GetShadingDomainID | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TQuad::GetUVIndex | ( | const int32 | i | ) | const`[inline]`

int32 MeshDataStructure::TQuad::GetUVIndexForVertex | ( | const int32 | index | ) | const

int32 MeshDataStructure::TQuad::GetVertexCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TQuad::GetVertexIndex | ( | const int32 | i | ) | const`[inline]`

int32 MeshDataStructure::TQuad::GetVertexIndexInQuad | ( | const int32 | vertexIndex | ) | const

const TVertexUV& MeshDataStructure::TQuad::GetVertexUV | ( | const int32 | index | ) | const`[inline]`

void MeshDataStructure::TQuad::HarmonizeUV | ( | TVertexArray & | vertices,
|  | TMCArray< boolean > & | wrapping |
| ) |  |  |

void MeshDataStructure::TQuad::SetEdge | ( | const int32 | index,
|  | const int32 | edgeIndex |
| ) |  |  | `[inline]`

void MeshDataStructure::TQuad::SetIsHidden | ( | boolean | hidden | ) | `[inline]`

void MeshDataStructure::TQuad::SetShadingDomainID | ( | int32 | ID | ) | `[inline]`

void MeshDataStructure::TQuad::SetUVIndex | ( | const int32 | i,
|  | const int32 | uvIndex |
| ) |  |  | `[inline]`

void MeshDataStructure::TQuad::SetVertex | ( | const int32 | index,
|  | const int32 | vertexIndex,
|  | const int32 | UVIndex |
| ) |  |  | `[inline]`

## Member Data Documentation

int32 MeshDataStructure::TQuad::fEdges[4]`[protected]`

boolean MeshDataStructure::TQuad::fIsHidden`[protected]`

int32 MeshDataStructure::TQuad::fShadingDomainID`[protected]`

TVertexUV MeshDataStructure::TQuad::fVerticesUV[4]`[protected]`

The documentation for this class was generated from the following file:

- MeshDataStructure.h